Description: Fix test that uses time.Now()
 Use time.Parse to convert a consistent value to time format
 so the test has a chance to pass without a time machine.
 .
 golang-github-muesli-roff (0.1.0-1) UNRELEASED; urgency=medium
 .
   * Initial release (Closes: #1031637)
Author: Scarlett Moore <sgmoore@debian.org>
Bug: https://github.com/muesli/roff/issues/2
Forwarded: https://github.com/muesli/roff/issues/2
Last-Update: 2023-02-20

--- golang-github-muesli-roff-0.1.0.orig/roff_test.go
+++ golang-github-muesli-roff-0.1.0/roff_test.go
@@ -7,7 +7,12 @@ import (
 
 func TestTitleHeading(t *testing.T) {
 	doc := NewDocument()
-	doc.Heading(1, "Title", "A short description", time.Now())
+	myDateString := "2022-01-11"
+	myDate, err := time.Parse("2006-01-02", myDateString)
+	if err != nil {
+		panic(err)
+	}
+	doc.Heading(1, "Title", "A short description", myDate)
 
 	if doc.String() != `.TH TITLE 1 "2022-01-11" "Title" "A short description"` {
 		t.Error("Expected title heading, got:", doc.String())
